Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class SynthesizerDescription

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.SynthesizerDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SynthesizerDescription
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`java.lang.Object` | `clone()` Return a copy of the current class.
`boolean` | `controllerAvailable(int controllerNum)` Returns true if controller number (1->128) is available.
`int` | `getChannelMask()` (midi device only) which channels device always uses
`int` | `getDrumChannelMask()` (midi device only) which channels device always uses
`int` | `getDrumCount()` non gm, built in (rom) drumkits only
`int` | `getDrumPartCount()` maximum multi-timbrality of drum parts
`int` | `getFlags()` Information about how the synthesizer works.
`int` | `getInstrumentCount()` non gm, built in (rom) instruments only
`int` | `getLatency()` response time in µSec
`int` | `getModifiableDrumCount()` plus n-more are user modifiable
`int` | `getModifiableInstrumentCount()` plus n-more are user modifiable
`java.lang.String` | `getName()` Return text name of synthesizer type
`int` | `getOutputCount()` number of audio outputs (usually two)
`int` | `getPartCount()` maximum multi-timbrality (and midi channels)
`int` | `getSynthesizerType()` synthesizer type (must be same as component subtype)
`int` | `getVoiceCount()` maximum polyphony
`boolean` | `gmDrumAvailable(int gmDrumNum)` Return true if the general MIDI drum kit (1->128) is available.
`boolean` | `gmInstrumentAvailable(int gmInstNum)` Return true if the general MIDI instrument (1->128) is available.
`java.lang.String` | `toString()` String representation of class.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSynthesizerType

    public int getSynthesizerType()

  synthesizer type (must be same as component subtype)

### getName

    public java.lang.String getName()
                             throws UtilException

  Return text name of synthesizer type

### getFlags

    public int getFlags()

  Information about how the synthesizer works.

### getVoiceCount

    public int getVoiceCount()

  maximum polyphony

### getPartCount

    public int getPartCount()

  maximum multi-timbrality (and midi channels)

### getInstrumentCount

    public int getInstrumentCount()

  non gm, built in (rom) instruments only

### getModifiableInstrumentCount

    public int getModifiableInstrumentCount()

  plus n-more are user modifiable

### getChannelMask

    public int getChannelMask()

  (midi device only) which channels device always uses

### getDrumPartCount

    public int getDrumPartCount()

  maximum multi-timbrality of drum parts

### getDrumCount

    public int getDrumCount()

  non gm, built in (rom) drumkits only

### getModifiableDrumCount

    public int getModifiableDrumCount()

  plus n-more are user modifiable

### getDrumChannelMask

    public int getDrumChannelMask()

  (midi device only) which channels device always uses

### getOutputCount

    public int getOutputCount()

  number of audio outputs (usually two)

### getLatency

    public int getLatency()

  response time in µSec

### controllerAvailable

    public boolean controllerAvailable(int controllerNum)

  Returns true if controller number (1->128) is available.

### gmInstrumentAvailable

    public boolean gmInstrumentAvailable(int gmInstNum)

  Return true if the general MIDI instrument (1->128) is available.

### gmDrumAvailable

    public boolean gmDrumAvailable(int gmDrumNum)

  Return true if the general MIDI drum kit (1->128) is available.

### toString

    public java.lang.String toString()

  String representation of class.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Return a copy of the current class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD